<?php
	session_start();
?>

<html>
	<head>
		<title>Ozeki VoIP SIP SDK Test Page</title>

		<script type="text/javascript" src="js/shCore.js"></script>
		<script type="text/javascript" src="css/shBrushXml.js"></script>
		<link href="css/shCore.css" rel="stylesheet" type="text/css" />
		<link href="css/shThemeDefault.css" rel="stylesheet" type="text/css" />
		<link href="css/ozStyle.css" rel="stylesheet" type="text/css" />
		<script src="//code.jquery.com/jquery-1.10.2.js"></script>

		<script type="text/javascript">
		 function showHide() {
		   var div = document.getElementById("update");
		   if (div.style.display == 'none') {
			 div.style.display = '';
			 setTimeout(function() {
					$('#update').fadeOut('slow');
				}, 1000);
		   }
		   else {
			 div.style.display = 'none';
		   }
		 }
		</script>
		
	</head>
	
	<div id="update" style="display: none;">IVR XML Script updated!</div>

<?php
	
	// Database connection submit form
		if(isset($_POST['SubmitInfo'])) {
			if($_POST['username']){
					$_SESSION['username'] = $_POST['username'];
			}
			if($_POST['passwd']){
					$_SESSION['passwd'] = $_POST['passwd'];
			}
			if($_POST['server']){
					$_SESSION['server'] = $_POST['server'];
			}
			if($_POST['database']){
					$_SESSION['database'] = $_POST['database'];
			}
			if($_POST['table']){
					$_SESSION['table'] = $_POST['table'];
			}
		} else {
			if(!isset($_SESSION['username'])) {
				$_SESSION['username'] = 'root';
			}
			if(!isset($_SESSION['passwd'])) {
				$_SESSION['passwd'] = '';
			}
			if(!isset($_SESSION['server'])) {
				$_SESSION['server'] = 'localhost';
			}
			if(!isset($_SESSION['database'])) {
				$_SESSION['database'] =  'ivrdata';
			}
			if(!isset($_SESSION['table'])) {
				$_SESSION['table'] = 'ivr';
			}
		}
		
	   
	// IVR submit form   
	   if(isset($_POST['BtnSubmit']))
			{
			$conn = mysql_connect($_SESSION['server'], $_SESSION['username'], $_SESSION['passwd']);
			
			if(! $conn )
			{
			  die('Could not connect: ' . mysql_error());
			}
			
			$xml = mysql_real_escape_string($_POST['ivrxml']);

			$sql = "UPDATE " . $_SESSION['table'] . " SET menu = '$xml' ";

			mysql_select_db($_SESSION['database']);
			$retval = mysql_query( $sql, $conn );
			
			if(! $retval )
			{
			  die('Could not update data: ' . mysql_error());
			}
			
			echo '<script type="text/javascript">'
				, 'showHide();'
				, '</script>';
				
			$sqlselect = "SELECT * FROM " . $_SESSION['table'];
			$result = mysql_query($sqlselect);
		
			while($row = mysql_fetch_array($result, MYSQL_BOTH)) {
			  $res = htmlspecialchars($row['menu'], ENT_QUOTES);
			}
			
			mysql_close($conn);
			}
	
	?>
	
	<h1><span style="color: red;">OZEKI</span> VoIP SIP SDK example page</h1>
	<h2>IVR with MySQL database</h2>
	<body>
		<div id="info">
			<form action="#" method="post" id="postform">
				<div id="DBContainer">
					<div id="dataInfo">
						<p>Information about access to your MySQL database:<br><br></p>
						<b>Username:</b> <?php echo $_SESSION['username'];?><br>
						<b>Password:</b> <?php echo $_SESSION['passwd'];?><br>
						<b>Server address:</b> <?php echo $_SESSION['server'];?><br>
						
						<b>Database name:</b> <?php echo $_SESSION['database'];?><br>
						<b>Table name:</b> <?php echo $_SESSION['table'];?><br>
					</div>
					
					<div id="dataTable">
						<p>You can change the access data if you want, just fill any textbox and click to Change button:
						<table>
							<tr>
								<td><p>Username: </p></td>
								<td><input type="text" name="username" /></td>
							</tr>	
							<tr>	
								<td><p>Password: </p></td>
								<td><input type="text" name="passwd" /></td>
							</tr>	
							<tr>	
								<td><p>Server address: </p></td>
								<td><input type="text" name="server" /></td>
							</tr>	
							<tr>	
								<td><p>Database name: </p></td>
								<td><input type="text" name="database" /></td>
							</tr>	
							<tr>	
								<td><p>Table name: </p></td>
								<td><input type="text" name="table" /></td>
							</tr>
							<tr>
								<td><p></p></td>
								<td><input id="submitinfo" name="SubmitInfo" type="submit" value="Change"></input></td>
							</tr>
						</table>
					</div>
					<hr>
				</div>
			</form>
		</div>
		<div id="create">
			<p class="usage">
			If you conclude that the data necessary for accessing the database are proper, you can click on the <b>Create/Select</b> button. Based on the information you provided, your database and its table containing the basic IVR XML will be created. (If the database and the table you use already exist, by clicking on the above mentioned button, the basic IVR XML script will be placed into your table. You can see this below in the Content textarea.) Afterwards, you can write your own IVR XML script into the IVR XML Script textarea. Then, as you click on the <b>Submit</b> button, the current script of your database will be overwritten.
			</p>
			<form action="#" method="post" id="postform">
				<input id="submitdb" name="DBSubmit" type="submit" value="Create/Select"></input>
			</form>
			<?php if(isset($_POST['DBSubmit'])) {createDatab();}?>
		</div>
		<div id="ozContainer">
			<div id="ozCode">
				<h3>Content of your database:</h3>
				<div id="xml">
					<pre id="xmlCode" class="brush: xml"><?php if(isset($res)) {echo $res;}?></pre>
				</div>
			</div>
			
			<div id="ozForm">
				<h3>IVR XML Script:</h3>
				<form action="#" method="post" id="postform">
					<textarea rows="10" cols="135" name="ivrxml"></textarea>
					<input id="submitbtn" name="BtnSubmit" type="submit" value="Submit"></input>
				</form>
			</div>
		</div>
		<div id="tutorial"><a href='http://www.voip-sip-sdk.com/p_574-ivr-database-integration-voip.html'>Online tutorial</a></div>
	</body>
	 
	<script type="text/javascript">
		 SyntaxHighlighter.all()
	</script>
	
	</html>
	
	<?php  
	
		$res = "";
	   
	    function createDatab() {
	  
		global $res;
		$ivrRaw = "<ivr>
			 <menu>
				 <init>
					 <speak>
							Introduce you the Interactive Voice Mail aka IVR example code written with Ozeki VoIP SDK.
							To get more information about Ozeki Ltd. and hear a sample mp3 song, please press button one.
							By pressing button two, you can listen an inform message
					 </speak>
					 <play>../../test.mp3</play>
				 </init>
				 <keys>
					 <key pressed='1'>
							<speak>
								   Ozeki Informatics Ltd. is a leading mobile messaging software vendor and Ozeki VoIP SIP SDK is 
								   an excellent software development kit that allows you to establish VoIP calls from your application 
								   easily and quickly. You do not need to have expert programming skills, with the most basic programming 
								   knowledge you will be able to create extraordinary VoIP solutions with this tool.
							</speak>
							<play>../../test.mp3</play>
					 </key>
					 <key pressed='2'>
							<speak>
								   You pressed button two. You did nothing.
							</speak>
					 </key>
					 <key pressed='3'>
							<menu>
								   <init>
										 <speak>You reached the lower menu.</speak>
								   </init>
								   <keys>
									   <key pressed='1'>
										   <speak>
											   You pressed button one at the lower menu level.
										   </speak>
									   </key>
								   </keys>
							</menu>
					 </key>
				 </keys>
			 </menu>
		</ivr>";
		
		// Connect to MySQL
		$con = mysql_connect($_SESSION['server'], $_SESSION['username'], $_SESSION['passwd']);
		if (!$con) {
			die('Could not connect: ' . mysql_error());
		}

		// Make $database the current database
		$db_selected = mysql_select_db($_SESSION['database'], $con);

		if (!$db_selected) {
		$sqlcreate = "CREATE DATABASE " . $_SESSION['database'];
		
			if (mysql_query($sqlcreate, $con)) {
				echo "Database " . "<b>" . $_SESSION['database'] . "</b>" . " created successfully!\n";
				
				// Select the created database
				$db_selected = mysql_select_db($_SESSION['database'], $con);
				
			} else {
				echo 'Error creating database: ' . mysql_error() . "\n";
			}
		}

		$sqlselect = "SELECT * FROM " . $_SESSION['table'];
		$result = mysql_query($sqlselect);
		
		if(empty($result)) {
            $sqltable = "CREATE TABLE " . $_SESSION['table'] . " (menu TEXT)";
			
			$sqlinsert = sprintf("INSERT INTO " . $_SESSION['table'] . " (menu) VALUES ('%s')", mysql_real_escape_string($ivrRaw));
		 
			$result = mysql_query($sqltable, $con);
			if (!$result) {
			  die('Error: ' . mysql_error() . "\n");
			}
			
			$insertresult = mysql_query($sqlinsert, $con);
			if (!$insertresult) {
			  die('Error: ' . mysql_error() . "\n");
			}
			
			echo "Table " . "<b>" . $_SESSION['table'] . "</b>" . " created successfully!\n";
			
			$result = mysql_query($sqlselect);
		}
		
		while($row = mysql_fetch_array($result, MYSQL_BOTH)) {
			  $res = htmlspecialchars($row['menu'], ENT_QUOTES);
			}
			
		mysql_close($con);
	  }
